Bug 277323 - Fix for crash in knewstuff3 engine, when config file was not found or loaded
Summary: Fix for crash in knewstuff3 engine, when config file was not found or loaded
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: knewstuff (show other bugs)
Version: 4.9-Git
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Jeremy Whiting
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-07 19:11 UTC by Tautvydas Andrikys
Modified: 2011-07-08 22:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
fix (582 bytes, patch)
2011-07-07 19:11 UTC, Tautvydas Andrikys
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tautvydas Andrikys 2011-07-07 19:11:09 UTC
Created attachment 61691 [details]
fix

Version:           Git (using Devel) 
OS:                All

Fix for crash in knewstuff3 engine, when config file was not found or loaded. Managed to reproduce with dolphin but also this can be reproduced with other applications using KNS3::DownloadWidget.

Reproducible: Always

Steps to Reproduce:
0. Make sure that servicemenu.knsrc can not be found by kde/dolphin
1. Turn on dolphin
2. Go to settings => Configure dolphin => services => download new services...
3. When window Get Hot New Stuff pops up pres button "Close"
4. We got a crash



Expected Results:  
No crash is expected.
Comment 1 Jeremy Whiting 2011-07-08 22:39:22 UTC
Git commit 592178a8d31f18567375c809d4663a377f137266 by Jeremy Whiting.
Committed on 09/07/2011 at 00:32.
Pushed by whiting into branch 'master'.

BUG: 277323
Fix crash in knewstuff3 when config file is not found.
Thanks to Tautvydas Andrikys for the bug and fix.

M  +4    -1    knewstuff/knewstuff3/core/engine.cpp     

http://commits.kde.org/kdelibs/592178a8d31f18567375c809d4663a377f137266
Comment 2 Jeremy Whiting 2011-07-08 22:40:53 UTC
Git commit 61dd1af3685bcb7f7809f8fff8edf5ea236a65c0 by Jeremy Whiting.
Committed on 09/07/2011 at 00:32.
Pushed by whiting into branch 'KDE/4.7'.

BUG: 277323
Fix crash in knewstuff3 when config file is not found.
Thanks to Tautvydas Andrikys for the bug and fix.
(cherry picked from commit 592178a8d31f18567375c809d4663a377f137266)

M  +4    -1    knewstuff/knewstuff3/core/engine.cpp     

http://commits.kde.org/kdelibs/61dd1af3685bcb7f7809f8fff8edf5ea236a65c0